#!/usr/bin/env bash
# Simple example to show how GForm can be used like a zenity button requester
# the arg 'return=t' makes the form close on any button press and return the 'Text"
# of the button to the shell. So button naming is irelevant so omitted.


ANS=$(../GForm allstretch return=t width=350 title="GForm button requester example" \
label="|\nthis is an example of a multiple row button requester\nPressing any button will return the button text to the shell\n" \
box button="|Option 1" button="|Option 2" button="|Option 3" unbox \
box button="|Option 4" button="|Option 5" button="|Quit") 2>/dev/null

echo "$ANS"

../GForm quiet toponly title="Notice.." label="|$ANS was the selection" button="|Okay|close" 2>/dev/null

